%define name rpmfind
%define version 1.2
%define release 1mdk

Summary: Locate and transfer automatically RPM using HTTP and an RDF database
Name: %{name}
Version: %{version}
Release: %{release}
Group: Utilities/System
Source: %{name}-%{version}.tar.bz2
URL: http://rufus.w3.org/linux/rpm2html/rpmfind.html
Packager: Lenny Cartier <lenny@mandrakesoft.com>
Copyright: W3C Copyright (BSD like).
BuildRoot: /tmp/realhot_%{name}
Provides: rpmfind
Distribution: Mandrake

%description
When rpmfind is asked for a resource it first asks the local RPM base,
and if it's not available, will request the associated RDF file on
a remote database. The result describes the various packages
providing these resources (distribution, vendor, version, date, etc...).

Based on that information, rpmfind sorts the various packages for
suitability.
Then it picks the first one and fetchs more complete information like
the dependancies required by this package. It then verifies that all
the dependencies needed by this package are available, and recusively
trys to locate RPM providing uninstalled resources.

At the end rpmfind shows the list of packages to fetch and the total
size needed on disk.

The database can be built using rpm2html.

%description -l fr
Quand RpmFind cherche un programme, il le cherche d'abord dans la base RPM
locale et si celui-ci manque, il recherche sur le fichier RDF d'une base
distante. La sortie decrit les divers packages necessaires pour ce programme.
Avec cette information RpmFind trie les divers packages, et gere les
dependances. Il affiche ensuite la liste de tous les packages et la place
necessaire sur le disque.
Pratique pour trouver des applications.


%prep
%setup -q
%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --sysconfdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/doc

install rpmfind $RPM_BUILD_ROOT/usr/bin
install CHANGES BUGS Copyright README TODO $RPM_BUILD_ROOT/usr/doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES BUGS Copyright README TODO 
/usr/bin/rpmfind

%changelog
* Wed Oct 06 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Mandrake adaptation

* Fri Apr  2 1999 Jeff Johnson <jbj@redhat.com>
- repackage for Red Hat 6.0.
